#<profile4xi profile = "11" />  
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap0000one4xi.py">
#<abstract4xi abstract = "zaps to direction one"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'zap0000one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                                
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi
from print4xi import print4xi
from time4xi import time4xi
from zap0001one4xi import zap0001one4xi
from zap0010one4xi import zap0010one4xi
from zap0100one4xi import zap0100one4xi
from zap0200one4xi import zap0200one4xi
from zap0300one4xi import zap0300one4xi
from zap0400one4xi import zap0400one4xi
from zap0500one4xi import zap0500one4xi
from zap0600one4xi import zap0600one4xi
from zap0700one4xi import zap0700one4xi
from zap0800one4xi import zap0800one4xi
from zap0900one4xi import zap0900one4xi
from zap1000one4xi import zap1000one4xi
from zap1100one4xi import zap1100one4xi
from zap1200one4xi import zap1200one4xi
from zap1300one4xi import zap1300one4xi
from zap1400one4xi import zap1400one4xi
from zap1500one4xi import zap1500one4xi
from zap1600one4xi import zap1600one4xi
from zap1700one4xi import zap1700one4xi
from zap1800one4xi import zap1800one4xi
from zap1900one4xi import zap1900one4xi
from zap2000one4xi import zap2000one4xi
from zap2100one4xi import zap2100one4xi
from zap2200one4xi import zap2200one4xi
from zap2300one4xi import zap2300one4xi
from zap2400one4xi import zap2400one4xi
from zap2500one4xi import zap2500one4xi
from zap2600one4xi import zap2600one4xi
from zap2700one4xi import zap2700one4xi
from zap2800one4xi import zap2800one4xi
from zap2900one4xi import zap2900one4xi
from zap3000one4xi import zap3000one4xi
from zap3100one4xi import zap3100one4xi
from zap3200one4xi import zap3200one4xi
from zap3300one4xi import zap3300one4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = " 
ack2debug = False
ack2dragontrace = False
      
#"
#"/>
    

             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "zap0000one4xi" usage = "
#   p2one = Process4Xi(target=zap0000one4xi, args=(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel, Zap1KB4Xi))
#   
#"> 
# -----------------------------------------------------------------------------------------------------
def zap0000one4xi(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel, kb2one):  
    '''
    zaps to direction ONE
    '''
    # -------------------------------------------------------------------------------------------------
    # (Step 1/33) - START                   
    # -------------------------------------------------------------------------------------------------        
    class2print  = 'zap0000one4xi'
    method2print = 'zap0000one4xi'    
    if ack2debug is True:
        print("\n (Step 1A/33) OF ZAP0000ONE4XI - STARTED TIME: ", time4xi())                                      # 05:43:30 12/06/10 Pacific Standard Time 
    
    if ack2dragontrace is True:
        message2print = "{(Step 1A/33) starting" + "; zap0000one4xi-starting: " + str(zap0000one4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # <function zap0000one4xi at 0x041B81E0>; time: 07:00:04 12/08/10 Pacific Standard Time      
        message2print = "{(Step 1B/33) passed" + "; queue2one-passed-to-zap0000one4xi: " + str(queue2one) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # <queue4xi.Queue4Xi object at 0x04E23430>; time: 07:00:04 12/08/10 Pacific Standard Time  
        message2print = "{(Step 1C/33) passed" + "; pipe2one_consumer_channel-passed-to-zap0000one4xi: " + str(pipe2one_consumer_channel) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # <read-write PipeConnection, handle 224>; time: 07:00:04 12/08/10 Pacific Standard Time              
        message2print = "{(Step 1D/33) passed" + "; pipe2one_publisher_channel-passed-to-zap0000one4xi: " + str(pipe2one_publisher_channel) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                              # <read-write PipeConnection, handle 220>; time: 07:00:04 12/08/10 Pacific Standard Tim  
        # message2print = "{(Step 1E/33) passed" + "; kb2one-passed-to-zap0000one4xi: " + str(kb2one) + "; time: " + time4xi() + "}"
        # print4xi(class2print, method2print, message2print)
                    
    # -------------------------------------------------------------------------------------------------
    # (Step 2/33) - SET OWN VARIABLES                   
    # -------------------------------------------------------------------------------------------------                                                               
    queue2work4one      = queue2one
    channel2consume4one = pipe2one_consumer_channel
    channel2publish4one = pipe2one_publisher_channel
    kb2try4one          = kb2one
    if ack2debug is True:
        print("\n (Step 2A/33) OF ZAP0000ONE4XI -  QUEUE2WORK4ONE: ", queue2work4one)                              # <queue4xi.Queue4Xi object at 0x054054B0>     
        print("\n (Step 2B/33) OF ZAP0000ONE4XI -  CHANNEL2CONSUME4ONE : ", channel2consume4one )                  # <read-write PipeConnection, handle 224>
        print("\n (Step 2C/33) OF ZAP0000ONE4XI -  CHANNEL2PUBLISH4ONE: ", channel2publish4one)                    # <read-write PipeConnection, handle 220>          
        # print("\n (Step 2D/33) OF ZAP0000ONE4XI -  KB2TRY4ONE: ", kb2try4one)                                    # {'1x1y1z': {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 02:17:10 12/06/10 Pacific Standard Time}', 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}}, '0x0y39z': {'2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 3, 4: 52.35987755982989}, 4: 'dragon0x0y39z', 5: '#9BA2A2', 6: 69, 7: 1, 8: Decimal('39.0'), 9: Decimal('29'), 10: 1, 11: '{passed; object-passed-to-reason-object4xi: zskeleton4xi.ZSkeleton4Xi object at 0x02A63DD0; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'reason_object4xi', 13: 1}, '8xi': {}, '4xi': {}}, '0x0y59z': {'2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 3, 4: 52.35987755982989}, 4: 'dragon0x0y59z', 5: '#9BA2A2', 6: 70, 7: 1, 8: Decimal('59.0'), 9: Decimal('49'), 10: 1, 11: "{returning; kb4xi-returning-by-reason-object4xi: {'object-reason-object4xi': zskeleton4xi.ZSkeleton4Xi object at 0x02A63DD0}; time: 18:58:34 11/11/10 Pacific Standard Time}", 12: 'reason_object4xi', 13: 1}, '8xi': {}, '4xi': {}}, '0x0y19z': {'2xi': {1: 1, 2: 10, 3: {1: 157.07963267948966, 2: '#848484', 3: 3, 4: 52.35987755982989}, 4: 'dragon0x0y19z', 5: '#9BA2A2', 6: 68, 7: 1, 8: Decimal('19.0'), 9: Decimal('9'), 10: 1, 11: '{started; reason-object4xi-started: function reason_object4xi at 0x02A5F660; time: 18:58:34 11/11/10 Pacific Standard Time}', 12: 'reason_object4xi', 13: 1}, '8xi': {}, '4xi': {}}, '0x0y3199z': {'2xi': {1: 1, 2: 3200, 3: {1: 16084954.386379741, 2: '#848484', 3: 4, 4: 4021238.5965949353}, 4: 'dragon0x0y3199z', 5: '#7C6142', 6: 3201, 7: 1, 8: 3200, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 02:17:11 12/06/10 Pacific Standard Time}', 12: 'cluster', 13: 1}, '8xi': {}, '4xi': {}}, '0x0y3299z': {'2xi': {1: 1, 2: 3300, 3: {1: 17105971.998796422, 2: '#848484', 3: 4, 4: 4276492.9996991055}, 4: 'dragon0x0y3299z', 5: '#9BA2A2', 6: 3302, 7: 1, 8: 3300, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 02:17:11 12/06/10 Pacific Standard Time}', 12: 'cluster', 13: 1}, '8xi': {}, '4xi': {}}}
    
    if ack2dragontrace is True:
        message2print = "{(Step 2A/33) set" + "; queue2work4one-set-by-zap0000one4xi to: " + str(queue2work4one)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                         # <queue4xi.Queue4Xi object at 0x04E23430>; time: 07:00:04 12/08/10 Pacific Standard Time  
        message2print = "{(Step 2B/33) set" + "; channel2consume4one-set-by-zap0000one4xi to: " + str(channel2consume4one)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                         # <read-write PipeConnection, handle 224>; time: 07:00:04 12/08/10 Pacific Standard Time             
        message2print = "{(Step 2C/33) set" + "; channel2publish4one-set-by-zap0000one4xi to: " + str(channel2publish4one)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                         # <read-write PipeConnection, handle 220>; time: 07:00:04 12/08/10 Pacific Standard Time 
        message2print = "{(Step 2D/33) set" + "; kb2try4one-set-by-zap0000one4xi to: " + str(kb2try4one)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                         # {'1x1y1z': {'2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586 ...
                                                                                                                                                
    # ---------------------------------------------------------------------------------------------    
    # (Step 3/33) - GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
    try:
        message2qet4one = queue2work4one.get()
        if ack2debug is True:
            print("(Step 3A/33) OF ZAP0000ONE4XI - MESSAGE2QET4ONE GOT: ", message2qet4one)                         # <copy4xi>copy2one</copy4xi>
        if ack2dragontrace is True:
            message2print = "{(Step 3A/33) got" + "; message2qet4one-got-by-zap0000one4xi: " + str(message2qet4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2one</copy4xi>; time: 07:00:04 12/08/10 Pacific Standard Time
                
        if message2qet4one == "<copy4xi>copy2one</copy4xi>":
            message2put4one = "<roger4xi>roger2one</roger4xi>"
            if ack2debug is True:
                print("(Step 3B/33) OF ZAP0000ONE4XI - SET MESSAGE2PUT4ONE TO: ", message2put4one)                  # <roger4xi>roger2one</roger4xi> 
            if ack2dragontrace is True:
                message2print = "{(Step 3B/33) set" + "; message2put4one-set-by-zap0000one4xi to: " + str(message2put4one)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <roger4xi>roger2one</roger4xi>; time: 07:00:04 12/08/10 Pacific Standard Time         
        else:
            if ack2debug is True:
                print("(Step 3C/33) OF ZAP0000ONE4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4one)             #            
            message2put4one = "<negative4xi>negative2one</negative4xi>"
            if ack2debug is True:
                print("(Step 3D/33) OF ZAP0000ONE4XI - SET MESSAGE2PUT4ONE TO: ", message2put4one)                  #
            if ack2dragontrace is True:
                message2print = "{(Step 3D/33) set" + "; message2put4one-set-by-zap0000one4xi to: " + str(message2put4one)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)          
    except:
        message2put4one = "<negative4xi>negative2one</negative4xi>"
        if ack2dragontrace is True:    
            message2print = "{(Step 3E/33) warned" + "; message2put4one-warned-by-zap0000one4xi: " + " ** " + str(message2put4one)  + " ** " + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)     
    
    # ---------------------------------------------------------------------------------------------    
    # (Step 6/33) - PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(Step 6A/33) OF ZAP0000ONE4XI - TRYING TO PUT MESSAGE2PUT4ONE: ", message2put4one)                   #  
                               
    try:         
        queue2work4one.put(message2put4one) 
        if ack2debug is True:
            print('~' *33)
            print("(Step 6B/33) OF ZAP0000ONE4XI - PUT TO QUEUE2WORK4ONE: ", queue2work4one, ' MESSAGE2PUT4ONE: ', message2put4one)
            print('~' *33)                                                                                          # <queue4xi.Queue4Xi object at 0x054054B0>  MESSAGE2PUT4ONE:  <roger4xi>roger2one</roger4xi>
        if ack2dragontrace is True:
            message2print = "{(Step 6B/33) put" + "; message2put4one-put-by-zap0000one4xi: " + str(message2put4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <roger4xi>roger2one</roger4xi>; time: 07:00:04 12/08/10 Pacific Standard Time 
    except:
        print("(Step 6C/33) OF ZAP0000ONE4XI *** FAILED TO PUT TO QUEUE2WORK4ONE: ", queue2work4one, ' MESSAGE2PUT4ONE: ', message2put4one)
        if ack2dragontrace is True:
            message2print = "{(Step 6C/33) failed" + "; queue2work4one-put-failed-by-zap0000one4xi: " + str(queue2work4one.put) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)     
                           
    # ---------------------------------------------------------------------------------------------    
    # (Step 7/33) - RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(Step 7A/33) OF ZAP0000ONE4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4ONE: ", channel2consume4one)  # 
                                                 
    try:
        message2receive4one = channel2consume4one.recv()
        if ack2debug is True:        
            print("(Step 7B/33) OF ZAP0000ONE4XI - RECEIVED MESSAGE2RECEIVE4ONE: ", message2receive4one)            # <copy4xi>copy2one</copy4xi>
        if ack2dragontrace is True:
            message2print = "{(Step 7B/33) received" + "; message2receive4one-received-by-zap0000one4xi: " + str(message2receive4one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <copy4xi>copy2one</copy4xi>; time: 07:00:04 12/08/10 Pacific Standard Time 
         
        if message2receive4one == "<copy4xi>copy2one</copy4xi>":
            message2send4one = "<roger4xi>roger2one</roger4xi>"
            if ack2debug is True:
                print("(Step 7C/33) OF ZAP0000ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)                   # <roger4xi>roger2one</roger4xi>
            if ack2dragontrace is True:
                message2print = "{(Step 7C/33) set" + "; message2send4one-set-by-zap0000one4xi to: " + str(message2send4one)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <roger4xi>roger2one</roger4xi>; time: 07:00:04 12/08/10 Pacific Standard Time     
                        
        else:
            message2send4one = "<negative4xi>negative2one</negative4xi>"
            if ack2debug is True:
                print("(Step 7D/33) OF ZAP0000ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)
            if ack2dragontrace is True:
                message2print = "{(Step 7D/33) set" + "; message2send4one-set-by-zap0000one4xi to: " + str(message2send4one)  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      #                           
    except:
        print("(Step 7E/33) OF ZAP0000ONE4XI - *** EXCEPTION WITH CHANNEL2CONSUME4ONE.RECV: ", channel2consume4one.recv) 
        message2send4one = "<negative4xi>negative2one</negative4xi>"
        print("(Step 7F/33) OF ZAP0000ONE4XI - SET MESSAGE2SEND4ONE: ", message2send4one)       
        if ack2dragontrace is True:
            message2print = "{(Step 7F/33) set" + "; message2send4one-set-by-zap0000one4xi to: " + str(message2send4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                         #               

    # ---------------------------------------------------------------------------------------------
    # (Step 8/33) - SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(Step 8A/33) OF ZAP0000ONE4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4ONE: ", channel2publish4one)# 
        
    try:         
        channel2publish4one.send(message2send4one)
        if ack2debug is True:
            print("(Step 8B/33) OF ZAP0000ONE4XI - SENT MESSAGE2SEND4ONE: ", message2send4one, " CHANNEL2PUBLISHER4ONE: ", channel2publish4one)
                                                                                                                    # <roger4xi>roger2one</roger4xi>  CHANNEL2PUBLISHER4ONE:  <read-write PipeConnection, handle 220>
        if ack2dragontrace is True:
            message2print = "{(Step 8B/33) sent" + "; message2send4one-sent-by-zap0000one4xi: " + str(message2send4one)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <roger4xi>roger2one</roger4xi>; time: 07:00:04 12/08/10 Pacific Standard Time     
                                                                                                                 
    except:
        print("(Step 8C/33) OF ZAP0000ONE4XI - *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " CHANNEL2PUBLISHER4ONE: ", channel2publish4one) 
        if ack2dragontrace is True:
            message2print = "{(Step 8C/33) failed" + "; message2send4one-failed-by-zap0000one4xi: " + str(message2send4one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          #        
        

    # -----------------------------------------------------------------------------------------    
    # CREATING DUMMY PROCESS 
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(Step 8A/33) OF ZAP0000ONE4XI - STARTING TO CREATE DUMMY PROCESSES ", time4xi())                     # 03:00:51 12/06/10 Pacific Standard Time  
    
# ====  
# [02]
# ====     
    # -----------------------------------------------------------------------------------------    
    # 02 DUMMY PROCESS OBJECT CREATION (SKELETON AT LAYER 2)
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2one = DummyProcess4Xi(target=zap0001one4xi,   
                                     args =(queue2work4one,                                                          
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                                                                                    
        if ack2debug is True:
            print("(Step 9B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2ONE: ", dummy2one)         # <DummyProcess4Xi(Thread-1, initial)> 
        if ack2dragontrace is True:
            message2print = "{(Step 9B/33) created" + "; dummy2one-created-by-zap0000one4xi: " + str(dummy2one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-1, initial)>; time: 07:00:04 12/08/10 Pacific Standard Time         
                    
        
        ack2dummy = True
    except:
        print("(Step 9C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 02 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 9D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi()) 
            # 
             
        ack2start = False
        try:      
            dummy2one.start() 
            if ack2debug is True:
                print("(Step 9E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2ONE: ", dummy2one)        # <DummyProcess4Xi(Thread-1, started 4220)>
            if ack2dragontrace is True:
                message2print = "{(Step 9E/33) performed" + "; dummy2one-start-performed-by-zap0000one4xi: " + str(dummy2one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-1, started 2056)>>                 
            
            ack2start = True
        except:
            print("(Step 9F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 9G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10one = DummyProcess4Xi(target=zap0010one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 10B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10ONE: ", dummy10one)
                                                                                                                    # CREATED DUMMY_PROCESS4XI OBJECT DUMMY10ONE:  <DummyProcess4Xi(Thread-2, initial)> 
        if ack2dragontrace is True:
            message2print = "{(Step 10B/33) created" + "; dummy10one-created-by-zap0000one4xi: " + str(dummy10one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-2, initial)>          
        ack2dummy = True
    except:
        print("(Step 10C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 10D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10one.start() 
            if ack2debug is True:
                print("(Step 10E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY10ONE: ", dummy10one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY10ONE:  <DummyProcess4Xi(Thread-2, started 3396)>
            if ack2dragontrace is True:
                message2print = "{(Step 10E/33) performed" + "; dummy10one-start-performed-by-zap0000one4xi: " + str(dummy10one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-2, started 2884)>>     
                    
            ack2start = True
        except:
            print("(Step 10F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 10G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100one = DummyProcess4Xi(target=zap0100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 100B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100ONE: ", dummy100one)
                                                                                                                    # CREATED DUMMY_PROCESS4XI OBJECT DUMMY100ONE:  <DummyProcess4Xi(Thread-3, initial)> 
        if ack2dragontrace is True:
            message2print = "{(Step 100B/33) created" + "; dummy100one-created-by-zap0000one4xi: " + str(dummy100one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-3, initial)>          
        ack2dummy = True
    except:
        print("(Step 100C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 100D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy100one.start() 
            if ack2debug is True:
                print("(Step 100E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY100ONE: ", dummy100one)
                                                                                                                    # <DummyProcess4Xi(Thread-3, started 3176)>
            if ack2dragontrace is True:
                message2print = "{(Step 100E/33) performed" + "; dummy100one-start-performed-by-zap0000one4xi: " + str(dummy100one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-3, started 4180)>>               
            ack2start = True
        except:
            print("(Step 100F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 100G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200one = DummyProcess4Xi(target=zap0200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 200B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200ONE: ", dummy200one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 200B/33) created" + "; dummy200one-created-by-zap0000one4xi: " + str(dummy200one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-4, initial)>            
        ack2dummy = True
    except:
        print("(Step 200C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 200D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200one.start() 
            if ack2debug is True:
                print("(Step 200E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY200ONE: ", dummy200one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY200ONE:  <DummyProcess4Xi(Thread-4, started 2748)>                
            if ack2dragontrace is True:
                message2print = "{(Step 200E/33) performed" + "; dummy200one-start-performed-by-zap0000one4xi: " + str(dummy200one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-4, started 3920)>>               
            ack2start = True
        except:
            print("(Step 200F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 200G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300one = DummyProcess4Xi(target=zap0300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 300B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300ONE: ", dummy300one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 300B/33) created" + "; dummy300one-created-by-zap0000one4xi: " + str(dummy300one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                           # <DummyProcess4Xi(Thread-5, initial)>            
        ack2dummy = True
    except:
        print("(Step 300C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 300D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300one.start() 
            if ack2debug is True:
                print("(Step 300E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY300ONE: ", dummy300one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY300ONE:  <DummyProcess4Xi(Thread-5, started 4840)>
            if ack2dragontrace is True:
                message2print = "{(Step 300E/33) performed" + "; dummy300one-start-performed-by-zap0000one4xi: " + str(dummy300one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-5, started 5056)>>               
            ack2start = True
        except:
            print("(Step 300F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 300G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400one = DummyProcess4Xi(target=zap0400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 400B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400ONE: ", dummy400one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 400B/33) created" + "; dummy400one-created-by-zap0000one4xi: " + str(dummy400one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-6, initial)>          
        ack2dummy = True
    except:
        print("(Step 400C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 400D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400one.start() 
            if ack2debug is True:
                print("(Step 400E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY400ONE: ", dummy400one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY400ONE:  <DummyProcess4Xi(Thread-6, started 4468)>
            if ack2dragontrace is True:
                message2print = "{(Step 400E/33) performed" + "; dummy400one-start-performed-by-zap0000one4xi: " + str(dummy400one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-6, started 4200)>>               
            ack2start = True
        except:
            print("(Step 400F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 400G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500one = DummyProcess4Xi(target=zap0500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 500B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500ONE: ", dummy500one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 500B/33) created" + "; dummy500one-created-by-zap0000one4xi: " + str(dummy500one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-7, initial)>          
        ack2dummy = True
    except:
        print("(Step 500C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 500D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500one.start() 
            if ack2debug is True:
                print("(Step 500E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY500ONE: ", dummy500one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY500ONE:  <DummyProcess4Xi(Thread-7, started 4788)>
            if ack2dragontrace is True:
                message2print = "{(Step 500E/33) performed" + "; dummy500one-start-performed-by-zap0000one4xi: " + str(dummy500one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-7, started 4728)>>               
            ack2start = True
        except:
            print("(Step 500F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 500G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600one = DummyProcess4Xi(target=zap0600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 600B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600ONE: ", dummy600one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 600B/33) created" + "; dummy600one-created-by-zap0000one4xi: " + str(dummy600one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-8, initial)>          
        ack2dummy = True
    except:
        print("(Step 600C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 600D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600one.start() 
            if ack2debug is True:
                print("(Step 600E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY600ONE: ", dummy600one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY600ONE:  <DummyProcess4Xi(Thread-8, started 4744)> 
            if ack2dragontrace is True:
                message2print = "{(Step 600E/33) performed" + "; dummy600one-start-performed-by-zap0000one4xi: " + str(dummy600one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-8, started 4572)>>               
            ack2start = True
        except:
            print("(Step 600F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 600G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700one = DummyProcess4Xi(target=zap0700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 700B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700ONE: ", dummy700one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 700B/33) created" + "; dummy700one-created-by-zap0000one4xi: " + str(dummy700one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-9, initial)>          
        ack2dummy = True
    except:
        print("(Step 700C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 700D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700one.start() 
            if ack2debug is True:
                print("(Step 700E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY700ONE: ", dummy700one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY700ONE:  <DummyProcess4Xi(Thread-9, started 3840)> 
            if ack2dragontrace is True:
                message2print = "{(Step 700E/33) performed" + "; dummy700one-start-performed-by-zap0000one4xi: " + str(dummy700one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-9, started 4392)>>                
            ack2start = True
        except:
            print("(Step 700F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 700G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800one = DummyProcess4Xi(target=zap0800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 800B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800ONE: ", dummy800one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 800B/33) created" + "; dummy800one-created-by-zap0000one4xi: " + str(dummy800one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-10, initial)>          
        ack2dummy = True
    except:
        print("(Step 800C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 800D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800one.start() 
            if ack2debug is True:
                print("(Step 800E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY800ONE: ", dummy800one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY800ONE:  <DummyProcess4Xi(Thread-10, started 4484)> 
            if ack2dragontrace is True:
                message2print = "{(Step 800E/33) performed" + "; dummy800one-start-performed-by-zap0000one4xi: " + str(dummy800one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-10, started 5116)>>               
            ack2start = True
        except:
            print("(Step 800F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 800G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900one = DummyProcess4Xi(target=zap0900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 900B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900ONE: ", dummy900one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 9B/33) created" + "; dummy900one-created-by-zap0000one4xi: " + str(dummy900one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-11, initial)>          
        ack2dummy = True
    except:
        print("(Step 900C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 900D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900one.start() 
            if ack2debug is True:
                print("(Step 900E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY900ONE: ", dummy900one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY900ONE:  <DummyProcess4Xi(Thread-11, started 4988)> 
            if ack2dragontrace is True:
                message2print = "{(Step 900E0E/33) performed" + "; dummy900one-start-performed-by-zap0000one4xi: " + str(dummy900one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-11, started 4192)>>               
            ack2start = True
        except:
            print("(Step 900F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 900G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000one = DummyProcess4Xi(target=zap1000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1000B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000ONE: ", dummy1000one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 9B/33) created" + "; dummy1000one-created-by-zap0000one4xi: " + str(dummy1000one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-12, initial)>          
        ack2dummy = True
    except:
        print("(Step 1000C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1000D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000one.start() 
            if ack2debug is True:
                print("(Step 1000E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000ONE: ", dummy1000one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1000ONE:  <DummyProcess4Xi(Thread-12, started 1548)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1000E0E/33) performed" + "; dummy1000one-start-performed-by-zap0000one4xi: " + str(dummy1000one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-12, started 1468)>>               
            ack2start = True
        except:
            print("(Step 1000F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1000G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100one = DummyProcess4Xi(target=zap1100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1100B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100ONE: ", dummy1100one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1100B/33) created" + "; dummy1100one-created-by-zap0000one4xi: " + str(dummy1100one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-13, initial)>          
        ack2dummy = True
    except:
        print("(Step 1100C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1100D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100one.start() 
            if ack2debug is True:
                print("(Step 1100E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100ONE: ", dummy1100one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1100ONE:  <DummyProcess4Xi(Thread-13, started 3172)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1100E0E/33) performed" + "; dummy1100one-start-performed-by-zap0000one4xi: " + str(dummy1100one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-13, started 4404)>>               
            ack2start = True
        except:
            print("(Step 1100F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1100G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200one = DummyProcess4Xi(target=zap1200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1200B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200ONE: ", dummy1200one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1200B/33) created" + "; dummy1200one-created-by-zap0000one4xi: " + str(dummy1200one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-14, initial)>           
        ack2dummy = True
    except:
        print("(Step 1200B/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1200D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200one.start() 
            if ack2debug is True:
                print("(Step 1200E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200ONE: ", dummy1200one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1200ONE:  <DummyProcess4Xi(Thread-14, started 2396)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1200E0E/33) performed" + "; dummy1200one-start-performed-by-zap0000one4xi: " + str(dummy1200one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-14, started 4228)>>               
            ack2start = True
        except:
            print("(Step 1200F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1200G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300one = DummyProcess4Xi(target=zap1300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1300B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300ONE: ", dummy1300one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1300B/33) created" + "; dummy1300one-created-by-zap0000one4xi: " + str(dummy1300one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-15, initial)>          
        ack2dummy = True
    except:
        print("(Step 1300C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300ONE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1300D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300one.start() 
            if ack2debug is True:
                print("(Step 1300E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300ONE: ", dummy1300one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1300ONE:  <DummyProcess4Xi(Thread-15, started 1680)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1300E0E/33) performed" + "; dummy1300one-start-performed-by-zap0000one4xi: " + str(dummy1300one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-15, started 2952)>>               
            ack2start = True
        except:
            print("(Step 1300F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1300G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400one = DummyProcess4Xi(target=zap1400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1400B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400ONE: ", dummy1400one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1400B/33) created" + "; dummy1400one-created-by-zap0000one4xi: " + str(dummy1400one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-16, initial)>          
        ack2dummy = True
    except:
        print("(Step 1400C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1400D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400one.start() 
            if ack2debug is True:
                print("(Step 1400E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400ONE: ", dummy1400one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1400ONE:  <DummyProcess4Xi(Thread-16, started 2868)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1400E0E/33) performed" + "; dummy1400one-start-performed-by-zap0000one4xi: " + str(dummy1400one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-16, started 3492)>>               
            ack2start = True
        except:
            print("(Step 1400F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1400G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500one = DummyProcess4Xi(target=zap1500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1500B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500ONE: ", dummy1500one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1500B/33) created" + "; dummy1500one-created-by-zap0000one4xi: " + str(dummy1500one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-17, initial)>          
        ack2dummy = True
    except:
        print("(Step 1500C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1500D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500one.start() 
            if ack2debug is True:
                print("(Step 1500E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500ONE: ", dummy1500one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1500ONE:  <DummyProcess4Xi(Thread-17, started 3456)>
            if ack2dragontrace is True:
                message2print = "{(Step 1500E0E/33) performed" + "; dummy1500one-start-performed-by-zap0000one4xi: " + str(dummy1500one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-17, started 2192)>>               
            ack2start = True
        except:
            print("(Step 1500F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1500G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600one = DummyProcess4Xi(target=zap1600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1600B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600ONE: ", dummy1600one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1600B/33) created" + "; dummy1600one-created-by-zap0000one4xi: " + str(dummy1600one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-18, initial)>          
        ack2dummy = True
    except:
        print("(Step 1600C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1600D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600one.start() 
            if ack2debug is True:
                print("(Step 1600E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600ONE: ", dummy1600one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1600ONE:  <DummyProcess4Xi(Thread-18, started 2616)>
            if ack2dragontrace is True:
                message2print = "{(Step 1600E0E/33) performed" + "; dummy1600one-start-performed-by-zap0000one4xi: " + str(dummy1600one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-18, started 3552)>>                
            ack2start = True
        except:
            print("(Step 1600F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1600G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700one = DummyProcess4Xi(target=zap1700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1700B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700ONE: ", dummy1700one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1700B/33) created" + "; dummy1700one-created-by-zap0000one4xi: " + str(dummy1700one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-19, initial)>           
        ack2dummy = True
    except:
        print("(Step 1700C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1700D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700one.start() 
            if ack2debug is True:
                print("(Step 1700E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700ONE: ", dummy1700one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1700ONE:  <DummyProcess4Xi(Thread-19, started 3148)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1700E0E/33) performed" + "; dummy1700one-start-performed-by-zap0000one4xi: " + str(dummy1700one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-19, started 4876)>>               
            ack2start = True
        except:
            print("(Step 1700F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1700G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800one = DummyProcess4Xi(target=zap1800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1800B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800ONE: ", dummy1800one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1800B/33) created" + "; dummy1800one-created-by-zap0000one4xi: " + str(dummy1800one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-20, initial)>          
        ack2dummy = True
    except:
        print("(Step 1800C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1800D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800one.start() 
            if ack2debug is True:
                print("(Step 1800E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800ONE: ", dummy1800one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1800ONE:  <DummyProcess4Xi(Thread-20, started 4836)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1800E0E/33) performed" + "; dummy1800one-start-performed-by-zap0000one4xi: " + str(dummy1800one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-20, started 5088)>>               
            ack2start = True
        except:
            print("(Step 1800F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1800G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900one = DummyProcess4Xi(target=zap1900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 1900B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900ONE: ", dummy1900one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 1900B/33) created" + "; dummy1900one-created-by-zap0000one4xi: " + str(dummy1900one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-21, initial)>          
        ack2dummy = True
    except:
        print("(Step 1900C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 1900D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900one.start() 
            if ack2debug is True:
                print("(Step 1900E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900ONE: ", dummy1900one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY1900ONE:  <DummyProcess4Xi(Thread-21, started 2064)> 
            if ack2dragontrace is True:
                message2print = "{(Step 1900E0E/33) performed" + "; dummy1900one-start-performed-by-zap0000one4xi: " + str(dummy1900one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-21, started 2904)>>               
            ack2start = True
        except:
            print("(Step 1900F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 1900G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000one = DummyProcess4Xi(target=zap2000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2000B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000ONE: ", dummy2000one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2000B/33) created" + "; dummy2000one-created-by-zap0000one4xi: " + str(dummy2000one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-22, initial)>          
        ack2dummy = True
    except:
        print("(Step 2000C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000ONE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2000D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000one.start() 
            if ack2debug is True:
                print("(Step 2000E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000ONE: ", dummy2000one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2000ONE:  <DummyProcess4Xi(Thread-22, started 2876)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2000E0E/33) performed" + "; dummy2000one-start-performed-by-zap0000one4xi: " + str(dummy2000one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-22, started 4956)>>               
            ack2start = True
        except:
            print("(Step 2000F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2000G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100one = DummyProcess4Xi(target=zap2100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2100B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100ONE: ", dummy2100one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2100B/33) created" + "; dummy2100one-created-by-zap0000one4xi: " + str(dummy2100one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-23, initial)>           
        ack2dummy = True
    except:
        print("(Step 2100C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100ONE ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2100D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100one.start() 
            if ack2debug is True:
                print("(Step 2100E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100ONE: ", dummy2100one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2100ONE:  <DummyProcess4Xi(Thread-23, started 4888)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2100E0E/33) performed" + "; dummy2100one-start-performed-by-zap0000one4xi: " + str(dummy2100one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-23, started 3116)>>               
            ack2start = True
        except:
            print("(Step 2100F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2100G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200one = DummyProcess4Xi(target=zap2200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2200B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200ONE: ", dummy2200one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2200B/33) created" + "; dummy2200one-created-by-zap0000one4xi: " + str(dummy2200one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-24, initial)>          
        ack2dummy = True
    except:
        print("(Step 2200C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2200D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200one.start() 
            if ack2debug is True:
                print("(Step 2200E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200ONE: ", dummy2200one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2200ONE:  <DummyProcess4Xi(Thread-24, started 4804)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2200E0E/33) performed" + "; dummy2200one-start-performed-by-zap0000one4xi: " + str(dummy2200one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-24, started 536)>>               
            ack2start = True
        except:
            print("(Step 2200F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2200G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300one = DummyProcess4Xi(target=zap2300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2300B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300ONE: ", dummy2300one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2300B/33) created" + "; dummy2300one-created-by-zap0000one4xi: " + str(dummy2300one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-25, initial)>          
        ack2dummy = True
    except:
        print("(Step 2300C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2300D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300one.start() 
            if ack2debug is True:
                print("(Step 2300E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300ONE: ", dummy2300one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2300ONE:  <DummyProcess4Xi(Thread-25, started 3784)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2300E/33) performed" + "; dummy2300one-start-performed-by-zap0000one4xi: " + str(dummy2300one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-25, started 4160)>>               
            ack2start = True
        except:
            print("(Step 2300F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2300G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400one = DummyProcess4Xi(target=zap2400one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2400B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400ONE: ", dummy2400one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2400B/33) created" + "; dummy2400one-created-by-zap0000one4xi: " + str(dummy2400one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-26, initial)>           
        ack2dummy = True
    except:
        print("(Step 2400C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2400D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400one.start() 
            if ack2debug is True:
                print("(Step 2400E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400ONE: ", dummy2400one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2400ONE:  <DummyProcess4Xi(Thread-26, started 836)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2400E/33) performed" + "; dummy2400one-start-performed-by-zap0000one4xi: " + str(dummy2400one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-26, started 4972)>>;               
            ack2start = True
        except:
            print("(Step 2400F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2400G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500one = DummyProcess4Xi(target=zap2500one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2500B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500ONE: ", dummy2500one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2500B/33) created" + "; dummy2500one-created-by-zap0000one4xi: " + str(dummy2500one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-27, initial)>          
        ack2dummy = True
    except:
        print("(Step 2500C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2500D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500one.start() 
            if ack2debug is True:
                print("(Step 2500E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500ONE: ", dummy2500one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2500ONE:  <DummyProcess4Xi(Thread-27, started 5004)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2500E/33) performed" + "; dummy2500one-start-performed-by-zap0000one4xi: " + str(dummy2500one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-27, started 2864)>>                
            ack2start = True
        except:
            print("(Step 2500F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2500G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600one = DummyProcess4Xi(target=zap2600one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2600B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600ONE: ", dummy2600one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2600B/33) created" + "; dummy2600one-created-by-zap0000one4xi: " + str(dummy2600one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-28, initial)>           
        ack2dummy = True
    except:
        print("(Step 2600C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2600D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600one.start() 
            if ack2debug is True:
                print("(Step 2600E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600ONE: ", dummy2600one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2600ONE:  <DummyProcess4Xi(Thread-28, started 2964)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2600E/33) performed" + "; dummy2600one-start-performed-by-zap0000one4xi: " + str(dummy2600one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-28, started 4176)>>               
            ack2start = True
        except:
            print("(Step 2600F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2600G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700one = DummyProcess4Xi(target=zap2700one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2700B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700ONE: ", dummy2700one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2700B/33) created" + "; dummy2700one-created-by-zap0000one4xi: " + str(dummy2700one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-29, initial)>           
        ack2dummy = True
    except:
        print("(Step 2700C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2700D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700one.start() 
            if ack2debug is True:
                print("(Step 2700E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700ONE: ", dummy2700one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2700ONE:  <DummyProcess4Xi(Thread-29, started 2264)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2700E/33) performed" + "; dummy2700one-start-performed-by-zap0000one4xi: " + str(dummy2700one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-29, started 2628)>>               
            ack2start = True
        except:
            print("(Step 2700F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2700G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800one = DummyProcess4Xi(target=zap2800one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2800B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800ONE: ", dummy2800one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 2800B/33) created" + "; dummy2800one-created-by-zap0000one4xi: " + str(dummy2800one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-30, initial)>           
        ack2dummy = True
    except:
        print("(Step 2800C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2800D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800one.start() 
            if ack2debug is True:
                print("(Step 2800E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800ONE: ", dummy2800one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2800ONE:  <DummyProcess4Xi(Thread-30, started 2644)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2800E/33) performed" + "; dummy2800one-start-performed-by-zap0000one4xi: " + str(dummy2800one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-30, started 4196)>>                
            ack2start = True
        except:
            print("(Step 2800F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2800G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900one = DummyProcess4Xi(target=zap2900one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 2900B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900ONE: ", dummy2900one)
                                                                                                                    # <DummyProcess4Xi(Thread-31, initial)>
        if ack2dragontrace is True:
            message2print = "{(Step 2900B/33) created" + "; dummy2900one-created-by-zap0000one4xi: " + str(dummy2900one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-31, initial)>          
        ack2dummy = True
    except:
        print("(Step 2900C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 2900D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900one.start() 
            if ack2debug is True:
                print("(Step 2900E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900ONE: ", dummy2900one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY2900ONE:  <DummyProcess4Xi(Thread-31, started 2872)> 
            if ack2dragontrace is True:
                message2print = "{(Step 2900E/33) performed" + "; dummy2900one-start-performed-by-zap0000one4xi: " + str(dummy2900one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-31, started 4108)>>               
            ack2start = True
        except:
            print("(Step 2900F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 2900G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000one = DummyProcess4Xi(target=zap3000one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 3000B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000ONE: ", dummy3000one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 3000B/33) created" + "; dummy3000one-created-by-zap0000one4xi: " + str(dummy3000one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-32, initial)>           
        ack2dummy = True
    except:
        print("(Step 3000C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 3000D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000one.start() 
            if ack2debug is True:
                print("(Step 3000E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000ONE: ", dummy3000one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY3000ONE:  <DummyProcess4Xi(Thread-32, started 4444)> 
            if ack2dragontrace is True:
                message2print = "{(Step 3000E/33) performed" + "; dummy3000one-start-performed-by-zap0000one4xi: " + str(dummy3000one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-32, started 3680)>>                
            ack2start = True
        except:
            print("(Step 3000F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 3000G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100one = DummyProcess4Xi(target=zap3100one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 3100B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100ONE: ", dummy3100one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 3100B/33) created" + "; dummy3100one-created-by-zap0000one4xi: " + str(dummy3100one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-33, initial)>           
        ack2dummy = True
    except:
        print("(Step 3100C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 3100D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100one.start() 
            if ack2debug is True:
                print("(Step 3100E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100ONE: ", dummy3100one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY3100ONE:  <DummyProcess4Xi(Thread-33, started 3620)> 
            if ack2dragontrace is True:
                message2print = "{(Step 3100E/33) performed" + "; dummy3100one-start-performed-by-zap0000one4xi: " + str(dummy3100one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-33, started 2296)>>               
            ack2start = True
        except:
            print("(Step 3100F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 3100G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200one = DummyProcess4Xi(target=zap3200one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 3200B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200ONE: ", dummy3200one)
            # 
        if ack2dragontrace is True:
            message2print = "{(Step 3200B/33) created" + "; dummy3200one-created-by-zap0000one4xi: " + str(dummy3200one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-34, initial)>           
        ack2dummy = True
    except:
        print("(Step 3200C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 3200D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200one.start() 
            if ack2debug is True:
                print("(Step 3200E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200ONE: ", dummy3200one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY3200ONE:  <DummyProcess4Xi(Thread-34, started 5068)> 
            if ack2dragontrace is True:
                message2print = "{(Step 3200E/33) performed" + "; dummy3200one-start-performed-by-zap0000one4xi: " + str(dummy3200one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-34, started 3812)>>               
            ack2start = True
        except:
            print("(Step 3200F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 3200G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300one = DummyProcess4Xi(target=zap3300one4xi, 
                                     args =(queue2work4one,
                                            channel2consume4one, channel2publish4one,
                                            kb2try4one))                            
        if ack2debug is True:
            print("(Step 3300B/33) OF ZAP0000ONE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300ONE: ", dummy3300one)
                                                                                                                    # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300ONE:  <DummyProcess4Xi(Thread-35, initial)> 
        if ack2dragontrace is True:
            message2print = "{(Step 3300B/33) created" + "; dummy3300one-created-by-zap0000one4xi: " + str(dummy3300one) + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                          # <DummyProcess4Xi(Thread-35, initial)>          
        ack2dummy = True
    except:
        print("(Step 3300C/33) OF ZAP0000ONE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300ONE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(Step 3300D/33) OF ZAP0000ONE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300one.start() 
            if ack2debug is True:
                print("(Step 3300E/33) OF ZAP0000ONE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300ONE: ", dummy3300one)
                                                                                                                    # STARTED THE DUMMY PROCESS4XI DUMMY3300ONE:  <DummyProcess4Xi(Thread-35, started 4728)> 
            if ack2dragontrace is True:
                message2print = "{(Step 3300E0E/33) performed" + "; dummy3300one-start-performed-by-zap0000one4xi: " + str(dummy3300one.start) + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                      # <bound method DummyProcess4Xi.start of <DummyProcess4Xi(Thread-35, started 4908)>>               
            ack2start = True
        except:
            print("(Step 3300F/33) OF ZAP0000ONE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(Step 3300G/33) OF ZAP0000ONE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                                                                                                                                                                
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(Step 33/33) OF ZAP0000ONE4XI - RETURNING TIME: ", time4xi())                                        # 03:43:46 12/06/10 Pacific Standard Time
        print('=' *33)
 
    if ack2dragontrace is True:
        message2print = "{(Step 33/33) return" + "; zap0000one4xi-returning " + "; time: " + time4xi() + "}"            # 07:00:05 12/08/10 Pacific Standard Time
        print4xi(class2print, method2print, message2print)      
                    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_zap2
#   sense-test-zap2actor4xi.xmlactor4xi.txti.txtscope-
#   *sense*4xi.xml
#zap2actor4xi2actor


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap0000one4xi.py                            
# ------------------------------------------------------------------------------------------------- 
#"
#/>
